sPlotView-class {MVCClass} | R Documentation

## Class "sPlotView": A class to represent a scatterplot view

### Description

sPlotView is a class to represent a view that is a scatterplot. sPlotView inherits from the class, plotView, which inherits from the virtual class, genView.

### Objects from the Class

Objects can be created by calls of the form `new("sPlotView", ...)`. The initialize method for this class will be created in other packages that use this package (for example, the initialize method will be created in the iSNetwork and iSPlot packages).

### Slots

`dfRows`:
  the names of the data frame rows that will be plotted
`xvar`:
  the name of the data frame variable (column) that will be plotted on the x axis
`yvar`:
  the name of the data frame variable (column) that will be plotted on the y axis
`plotDevice`:
  the plot device number
`plotPar`:
  the parameter list for the plot, see par()
`drArea`:
  an object of class `"GtkDrawingArea"`
`dataName`:
  a character string describing what data are shown in the view
`win`:
  an object of class `"GtkWindow"` that holds the view
`winNum`:
  a number that tells what number view this is (for example, the first view created will have winNum=1)

### Extends

Class `"plotView"`, directly. Class `"genView"`, by class `"plotView"`.

### Methods

xvar<-
  Sets the `xvar` slot
xvar
  Returns the `xvar` slot
yvar<-
  Sets the `yvar` slot
yvar
  Returns the `yvar` slot
dfRows<-
  Sets the `dfRows` slot
dfRows
  Returns the `dfRows` slot

### Author(s)

Elizabeth Whalen

### See Also

`genView-class`, `plotView-class`, `spreadView-class`

### Examples

[Package MVCClass version 1.10.0 Index]